import { IgPoint } from "igniteui-react-core";
import { TreemapNodePointerEventArgs as TreemapNodePointerEventArgs_internal } from "./TreemapNodePointerEventArgs";
import { ContentChildrenManager } from "igniteui-react-core";
export declare class IgrTreemapNodePointerEventArgs {
    protected createImplementation(): TreemapNodePointerEventArgs_internal;
    protected _implementation: any;
    /**
     * @hidden
     */
    get i(): TreemapNodePointerEventArgs_internal;
    private onImplementationCreated;
    protected _contentChildrenManager: ContentChildrenManager;
    constructor();
    protected _provideImplementation(i: any): void;
    get value(): number;
    set value(v: number);
    get sum(): number;
    set sum(v: number);
    get customValue(): any;
    set customValue(v: any);
    get item(): any;
    set item(v: any);
    get parentItem(): any;
    set parentItem(v: any);
    get position(): IgPoint;
    set position(v: IgPoint);
    get isRightButton(): boolean;
    set isRightButton(v: boolean);
    get isHandled(): boolean;
    set isHandled(v: boolean);
    get isOverHeader(): boolean;
    set isOverHeader(v: boolean);
    get label(): string;
    set label(v: string);
    get parentValue(): number;
    set parentValue(v: number);
    get parentLabel(): string;
    set parentLabel(v: string);
    get parentSum(): number;
    set parentSum(v: number);
}
